Page MenuHomePhabricator

[TestLoadUnload] Enable for Android while skipping it for other remotes.
ClosedPublic

Authored by sivachandra on Jun 15 2015, 5:48 PM.

Details

Summary

This change adds all the necessary infrastructure required to
selectively enable and make TestLoadUnload work for Android. One test,
which tests the module search paths, is still kept disabled for remote
as search paths (because of module caching) are local anyway.

Diff Detail

Event Timeline

sivachandra retitled this revision from to [TestLoadUnload] Enable for Android while skipping it for other remotes..
sivachandra updated this object.
sivachandra edited the test plan for this revision. (Show Details)

This is WiP, please ignore until I add reviewers.

Ready for review.

sivachandra updated this object.Jun 16 2015, 5:40 PM
sivachandra added a reviewer: tberghammer.
sivachandra added a subscriber: Unknown Object (MLST).
sivachandra updated this object.

Address an offline comment and make a slight improvement.

tberghammer edited edge metadata.Jun 16 2015, 6:03 PM

Why do you enable these tests only on remote Android? I think they should work on any remote target with your fix (where the test makes sense)

test/functionalities/load_unload/TestLoadUnload.py
59

I think this will fail in case of Windows -> Android (wrong path separator). You can use SBPlatform::MakeDirectory what should work in all cases

176

Same here

sivachandra edited edge metadata.

Address comments.

I have enabled this test for only Android as I have verified it only for Android.

tberghammer accepted this revision.Jun 17 2015, 11:13 AM
tberghammer edited edge metadata.

Looks good

This revision is now accepted and ready to land.Jun 17 2015, 11:13 AM
emaste added a subscriber: emaste.Jun 17 2015, 11:34 AM
emaste added inline comments.
test/lldbtest.py
738

Please call this skipUnless... for consistency with other skip decorators.

sivachandra edited edge metadata.

Rename skipIfUnlistedRemote to skipUnlessListedRemote.

sivachandra closed this revision.Jun 17 2015, 3:36 PM